diff --git a/Project/GNU/CLI/configure.ac b/Project/GNU/CLI/configure.ac
index 275c349..1ddeec0 100644
--- a/Project/GNU/CLI/configure.ac
+++ b/Project/GNU/CLI/configure.ac
@@ -65,16 +65,10 @@ dnl #########################################################################
 dnl -------------------------------------------------------------------------
 dnl Unicode
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen-config; then
-	enable_unicode="$(../../../../ZenLib/Project/GNU/Library/libzen-config Unicode)"
-elif test "$(libzen-config Exists)" = "yes" ; then
-	enable_unicode="$(libzen-config Unicode)"
+if pkg-config --exists libzen; then
+	enable_unicode="$(pkg-config --variable=Unicode libzen)"
 else
-	if pkg-config --exists libzen; then
-		enable_unicode="$(pkg-config --variable=Unicode libzen)"
-	else
-		AC_MSG_ERROR([libzen configuration is not found])
-	fi
+	AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
@@ -198,41 +192,19 @@ fi
 dnl -------------------------------------------------------------------------
 dnl ZenLib
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen.la; then
-	CXXFLAGS="$CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
-	MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
-	if test "$enable_staticlibs" = "yes"; then
-		with_zenlib="builtin (static)"
-		LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS_Static)"
-	else
-		with_zenlib="builtin"
-		LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS)"
-	fi
-elif test "$(libzen-config Exists)" = "yes" ; then
-	CXXFLAGS="$CXXFLAGS $(libzen-config CXXFLAGS)"
-	MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(libzen-config CXXFLAGS)"
+
+if pkg-config --exists libzen; then
+	CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
+	MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(pkg-config --cflags libzen)"
 	if test "$enable_staticlibs" = "yes"; then
 		with_zenlib="system (static)"
-		LIBS="$LIBS $(libzen-config LIBS_Static)"
+		LIBS="$LIBS $(pkg-config --variable=Libs_Static libzen)"
 	else
 		with_zenlib="system"
-		LIBS="$LIBS $(libzen-config LIBS)"
+		LIBS="$LIBS $(pkg-config --libs libzen)"
 	fi
 else
-	if pkg-config --exists libzen; then
-		CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
-		MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(pkg-config --cflags libzen)"
-		if test "$enable_staticlibs" = "yes"; then
-			with_zenlib="system (static)"
-			LIBS="$LIBS $(pkg-config --variable=Libs_Static libzen)"
-			LIBS="$LIBS $(pkg-config --static --libs libzen)"
-		else
-			with_zenlib="system"
-			LIBS="$LIBS $(pkg-config --libs libzen)"
-		fi
-	else
-		AC_MSG_ERROR([libzen configuration is not found])
-	fi
+	AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
diff --git a/Project/GNU/GUI/configure.ac b/Project/GNU/GUI/configure.ac
index 78bdeff..ea9203d 100644
--- a/Project/GNU/GUI/configure.ac
+++ b/Project/GNU/GUI/configure.ac
@@ -79,14 +79,10 @@ dnl #########################################################################
 dnl -------------------------------------------------------------------------
 dnl Unicode
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen-config; then
-    enable_unicode="$(../../../../ZenLib/Project/GNU/Library/libzen-config Unicode)"
+if pkg-config --exists libzen; then
+    enable_unicode="$(pkg-config --variable=Unicode libzen)"
 else
-    if pkg-config --exists libzen; then
-        enable_unicode="$(pkg-config --variable=Unicode libzen)"
-    else
-        AC_MSG_ERROR([libzen configuration is not found])
-    fi
+    AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
@@ -313,31 +309,19 @@ fi
 dnl -------------------------------------------------------------------------
 dnl ZenLib
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen.la; then
-    CXXFLAGS="$CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
-    MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
+if pkg-config --exists libzen; then
+    CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
+    MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(pkg-config --cflags libzen)"
     if test "$enable_staticlibs" = "yes"; then
-        with_zenlib="builtin (static)"
-        LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS_Static)"
+        with_zenlib="system (static)"
+        LIBS="$LIBS $(pkg-config --variable=Libs_Static libzen)"
+        LIBS="$LIBS $(pkg-config --static --libs libzen)"
     else
-        with_zenlib="builtin"
-        LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS)"
+        with_zenlib="system"
+        LIBS="$LIBS $(pkg-config --libs libzen)"
     fi
 else
-    if pkg-config --exists libzen; then
-        CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
-        MediaInfoLib_CXXFLAGS="$MediaInfoLib_CXXFLAGS $(pkg-config --cflags libzen)"
-        if test "$enable_staticlibs" = "yes"; then
-            with_zenlib="system (static)"
-            LIBS="$LIBS $(pkg-config --variable=Libs_Static libzen)"
-            LIBS="$LIBS $(pkg-config --static --libs libzen)"
-        else
-            with_zenlib="system"
-            LIBS="$LIBS $(pkg-config --libs libzen)"
-        fi
-    else
-        AC_MSG_ERROR([libzen configuration is not found])
-    fi
+    AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
